### Function

# Vips value_set_save_stringf

#### Declaration [src]

    void
    vips_value_set_save_stringf (
      GValue* value,
      const char* fmt,
      ...
    )

#### Description [src]

Generates a string and copies it into `value`.

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `GValue`

  GValue to set.

  The argument will be set by the function.
  The returned data is owned by the function.

`fmt`

  Type: `const char*`

  `printf()`-style format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to `printf()`-formatted `fmt`.